Bug 1024623 - Context Statistics on filtered documents should show statistics of filtered results
Context Statistics on filtered documents should show statistics of filtered r...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 02:19 EDT by Ding-Yi Chen
Modified: 2015-07-30 21:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-30 21:22:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-10-30 02:19:12 EDT
Description of problem:
If filter string is embedding in URL, the context statistics is computed with filtered results.

However, if filter string is typed in document filter field, the context statistics is computed with all documents.

This may confuses users, as the other parts appear exactly the same. 


Version-Release number of selected component (if applicable):
Zanata version 3.0.3 (20130919-2218)


How reproducible:
Always

Steps to Reproduce:
1. Go to https://translate.jboss.org/webtrans/translate?project=jboss_as&iteration=7.1.x&localeId=de&locale=en#filter:App
2. Hover on the context statistics, total words are 239.
3. Clear the document filter field
4. Filter with the string "App"
5. Hover on the context statistics.

Actual results:
Total words are "57439"

Expected results:
Total words are "239"


Additional info:
Comment 1 Alex Eng 2014-05-27 21:10:51 EDT
The initial idea of that statistic is the overall stats for this doc. If we gonna change it to context based, i.e filter, we might do that same in the editor as well. Any suggestions?
Comment 2 Zanata Migrator 2015-07-30 21:22:00 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-460

Note You need to log in before you can comment on or make changes to this bug.